noinst_PROGRAMS = package
package_SOURCES = Hello.java IsItWorking.java

DISTCLEANFILES = jserv.properties example.properties \
                 jserv.conf

CLEANFILES = ${DISTCLEANFILES}
MOSTLYCLEANFILES = ${DISTCLEANFILES}
MAINTAINERCLEANFILES = ${DISTCLEANFILES}

JAVACX = @JAVACX@
CP = @CP@
JSERV_REPO = @JSERV_REPO@

SUFFIXES = .java .class

.java.class:
	@ ${ECHO} "Compiling $< ..."
	@ ${JAVACX} $<

package: $(package_OBJECTS) $(package_DEPENDENCIES)

install-data-local:
	${top_srcdir}/src/scripts/build/unix/mkinstalldirs $(DESTDIR)${JSERV_REPO}
	${CP} ${package_OBJECTS} $(DESTDIR)${JSERV_REPO}
	${CP} ${package_SOURCES} $(DESTDIR)${JSERV_REPO}
    
clean-compile:

	rm -f *.class

clean-generic:

	rm -f *~ ${DISTCLEANFILES}
